/*============================================================================
  File:     IsolateLargeCriticalTable_ONLINE.sql

  Summary:  Can we isolate ONLY this table to take only the table offline.
			This STILL allows us to backup the transaction log AND it keeps
			users from seeing the damaged data. Depending on the table lost,
			you might still want to take the entire database offline.
  
  Date:     June 2006

  SQL Server Version: 9.00.2047.00 (SP1)
------------------------------------------------------------------------------
  Copyright (C) 2006 Kimberly L. Tripp, SYSolutions, Inc.
  All rights reserved.

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  given by Kimberly L. Tripp.  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

USE SalesDB
go

ALTER DATABASE [SalesDB] 
ADD FILEGROUP SalesDataFG
go

ALTER DATABASE [SalesDB]
ADD FILE
(	NAME = N'SalesDBSalesData'
	, FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\DATA\SalesDBSalesData.ndf' 
	, SIZE = 400
	, MAXSIZE = UNLIMITED
	, FILEGROWTH = 50)
TO FILEGROUP SalesDataFG
GO

sp_help Sales
go

sp_helpfile
go

CREATE UNIQUE CLUSTERED INDEX SalesPK 
ON Sales (SalesID)
WITH (DROP_EXISTING = ON, ONLINE = ON)
ON SalesDataFG	
GO

sp_helpindex Sales
go
-- Don't forget to setup for the Partitioning scenario!