/*============================================================================
  File:     RestoreSalesDB.sql

  Summary:  Recreate the SalesDB and make sure that no connections exist.
  
  Date:     June 2006

  SQL Server Version: 9.00.2047.00 (SP1)
------------------------------------------------------------------------------
  Copyright (C) 2006 Kimberly L. Tripp, SYSolutions, Inc.
  All rights reserved.

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  given by Kimberly L. Tripp.  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

-- This script takes about 30 seconds

SET NOCOUNT ON
go

USE master
go

IF DATABASEPROPERTYEX('SalesDB_Snapshot', 'Collation') IS NOT NULL
	DROP DATABASE SalesDB_Snapshot
go


IF DATABASEPROPERTYEX('SalesDB', 'Collation') IS NOT NULL
	ALTER DATABASE SalesDB
		SET RESTRICTED_USER 
		WITH ROLLBACK IMMEDIATE
go

RESTORE DATABASE SalesDB
	FROM DISK = N'C:\SQLskills\SalesDBOriginal.bak'
WITH STATS = 10, REPLACE
go

